package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.pojo.mes.bean.seres.MesCimSeresJisRfid;
import cn.estsh.i3plus.pojo.mes.bean.shipping.MesShippingQueue;
import io.swagger.annotations.ApiOperation;

public interface IMesShippingQueueService {

    @ApiOperation("根据零件发运组代码查询创建时间正序创建状态的一条发运队列")
    MesShippingQueue getShippingQueue(String organizeCode, String shippingGroupCode);

    @ApiOperation("根据ID修改发运队列")
    void saveShippingQueue(String organizeCode, Long id, String[] propertyName, Object[] propertyValue);

    @ApiOperation("根据VIN查询赛力斯RFID信息")
    MesCimSeresJisRfid getCimSeresJisRfid(String organizeCode, String vin);

}
